summaryrefslogtreecommitdiff
path: root/dev-python/subprocess-tee
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/subprocess-tee')
-rw-r--r--dev-python/subprocess-tee/Manifest1
-rw-r--r--dev-python/subprocess-tee/subprocess-tee-0.4.2.ebuild44
2 files changed, 45 insertions, 0 deletions
diff --git a/dev-python/subprocess-tee/Manifest b/dev-python/subprocess-tee/Manifest
index 37ace876f6e8..2b9e1875172d 100644
--- a/dev-python/subprocess-tee/Manifest
+++ b/dev-python/subprocess-tee/Manifest
@@ -1 +1,2 @@
DIST subprocess-tee-0.4.1.tar.gz 13599 BLAKE2B 779a8b5381155e8d524b6715ab9cc37f8e55565dd378a2d256648d56f018dc71860b0db2a50572a5e03fab7d2de5cd691be53c49c1aa79e756b4eb8a8d5878a5 SHA512 683813096c4bb78a4263075ba8590a926134ec92db5e2e72ed98ab1db9e231768adc15bb4273ba138f9a1b2a14ae4050d0b6acc76d483d0f3530f376ce8d9eee
+DIST subprocess_tee-0.4.2.tar.gz 14951 BLAKE2B b94a8adc779bfbfd17046c4c85c9fb4020a0ca4de11735ec672a90e3be93d09d5f2ec60184e12bce86864b6ef22fedd0927dbb26267cb763d197c54bb4f342ed SHA512 acb0103b8a9ba6288e42148062e82b37b625f5c518e195c4d6e32efd2d5d9841ac6f2c2b240d223e7cdecc643daaa3d86c63a6bc34ca7b48e187cbf968e5dae5
diff --git a/dev-python/subprocess-tee/subprocess-tee-0.4.2.ebuild b/dev-python/subprocess-tee/subprocess-tee-0.4.2.ebuild
new file mode 100644
index 000000000000..4ac1f5fd7f5e
--- /dev/null
+++ b/dev-python/subprocess-tee/subprocess-tee-0.4.2.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="subprocess.run replacement with tee(1)-like output"
+HOMEPAGE="
+ https://github.com/pycontribs/subprocess-tee/
+ https://pypi.org/project/subprocess-tee/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv"
+IUSE="test-full"
+REQUIRED_USE="test-full? ( test )"
+
+# ansible-molecule is invoked as an executable so no need for PYTHON_USEDEP
+BDEPEND="
+ >=dev-python/setuptools-scm-7.0.0[${PYTHON_USEDEP}]
+ test? (
+ dev-python/enrich[${PYTHON_USEDEP}]
+ test-full? ( app-admin/ansible-molecule )
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=()
+
+ if ! use test-full; then
+ EPYTEST_DESELECT+=(
+ test/test_func.py::test_molecule
+ )
+ fi
+
+ epytest
+}